Page MenuHomePhabricator

1.33.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.20
Release Date
1551657600

2019 week 10 1.33-wmf.20 Changes wmf/1.33.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, March 4th:

Monday March 4thTuesday, March 5thWednesday, March 6thThursday, March 7thFriday
SWAT deployments only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.19
Next: 1.33.0-wmf.21

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-05T13:31:53Z] <hashar> Cutting branch wmf/1.33.0-wmf.20 # T206674

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:14:34Z] <hashar> Applied wmf/1.33.0-wmf.20 local patches # T206674

Change 494489 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.20

https://gerrit.wikimedia.org/r/494489

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:27:55Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.20 and rebuild l10n cache # T206674

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:33:50Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.20 and rebuild l10n cache # T206674

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:35:11Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.20 and rebuild l10n cache # T206674

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:44:51Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.20 and rebuild l10n cache # T206674

Mentioned in SAL (#wikimedia-operations) [2019-03-05T15:35:54Z] <hashar@deploy1001> Finished scap: testwiki to php-1.33.0-wmf.20 and rebuild l10n cache # T206674 (duration: 51m 03s)

Change 494489 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.33.0-wmf.20

https://gerrit.wikimedia.org/r/494489

hashar claimed this task.Mar 6 2019, 1:11 PM
hashar closed this task as Resolved.Mar 8 2019, 9:08 AM

1.33.0-wmf.20 seems to be working fine :]